/* Styles: Luis Alonso */

main {
    display: flex;
    flex-direction: column;
}

h1 {
    display: none;
}

.profile {
    display: flex;
    justify-content: space-around;
    gap: 0.8rem;
    flex-wrap: wrap;

    div:nth-of-type(1) {
        width: 100%;
        color: var(--primary-color);

        h2 {
            margin: 1rem 0 0 0;
            font-size: 3rem;
            font-weight: 800;
            text-align: right;
            line-height: 2.2rem;

            span {
                font-size: 2rem;
                font-weight: 500;
            }
        }

    }

    div:nth-of-type(2) {
        width: 60%;

        &.puntos-lagun {
            display: flex;
            flex-wrap: wrap;
            justify-content: center;
            gap: 1rem;
            align-items: flex-start;
            color: var(--secondary-color);

            p:nth-of-type(1) {
                margin: 0;
                padding: 0;
                width: 60%;
                font-size: 4rem;
                font-weight: 900;
                text-align: right;
            }

            p:nth-of-type(2) {
                width: 30%;
                font-size: 0.9rem;
                font-weight: 600;
                text-align: left;
            }

            a {
                display: inline-block;
                top: -1rem;
                width: 45%;
                padding: 0.3rem 1rem;
                border: 0.1rem solid var(--secondary-color);
                border-radius: 1rem;
                text-align: center;
                color: var(--secondary-color);
                font-weight: 500;

                &::before,
                &::after {
                    display: none;
                }
            }

        }
    }

    div:nth-of-type(3) {
        width: 35%;

        img {
            width: 100%;
            border-radius: 50%;
            padding: 0.25rem;
            background: linear-gradient(135deg, var(--primary-color), var(--secondary-color));
        }
    }

    
}

.balance {
    display: flex;
    margin-top: 2rem;
    padding: 0 1rem;
    border: 0.25rem solid var(--primary-color);
    border-radius: 2rem;

    div:nth-of-type(1) {
        display: flex;
        flex-direction: column;
        width: 35%;

        h2 {
            margin: 0.5rem 0 0.3rem 0;
            font-size: 1.5rem;
            text-align: center;
        }

        img {
            width: 100%;
        }
    }

    div:nth-of-type(2) {
        display: flex;
        flex-direction: column;
        width: 62%;

        p:nth-of-type(1) {
            margin: 1rem 0;
            font-size: 3.5rem;
            font-weight: 800;
            text-align: right;
            color: var(--primary-color);

            span {
                font-size: 2rem;
                font-weight: 500;
            }
        }

        p:nth-of-type(2) {
            margin: 0 0.5rem;
            text-align: right;

            a {
                position: relative;
                margin-left: 0.5rem; 
                display: inline-flex;
                align-items: center;
                justify-content: center;
                width: 3rem;
                height: 3rem;
                border: 0.18rem solid var(--primary-color);
                border-radius: 4rem;
                font-size: 3rem;
                color: var(--primary-color);
                text-decoration: none;

                &::before,
                &::after {
                    display: none;
                }
                
                span {
                    position: relative;
                    top: -0.2rem;
                }
            }

        }
    }
}

.balance-explication {
    margin-top: 1rem;
    padding: 0.7rem 1.5rem;
    border-radius: 1.5rem;
    font-size: 0.85rem;
    font-weight: 600;
    background: #eeeeee;

    strong {
        font-size: 0.9rem;
        font-weight: 800;
        color: #000000;
    }
}